Bug 39210 - linuxconf over xiinetd does not work
linuxconf over xiinetd does not work
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-05 10:23 EDT by Harald Hoyer
Modified: 2007-04-18 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:47:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2001-05-05 10:23:47 EDT
Description of Problem:
linuxconf web interface does not work

How Reproducible:

Steps to Reproduce:
1. ntsysv , activate linuxconf
2. linuxconf, activate web access
3. http://localhost:98

Actual Results:
endless select, accept loop

Expected Results:
linuxconf web gui

Additional Information:
Comment 1 Alan O 2001-05-11 11:14:36 EDT
Same thing happens for me. If I telnet in to localhost port 98 xinetd opens the
connection, but offering the HTTP command "GET / HTTP/1.0" doesn't do anything
(same happens with Netscape and Lynx). Further, when I kill the telnet session
with ^], linuxconf still runs in the background, and according to top, uses all
the cpu (98%).
Comment 2 Harald Hoyer 2001-05-11 11:23:58 EDT
BTW, start linuxconf with
$ linuxconf --http
then it will listen to port 3000, http://localhost:3000 
Comment 3 Alan O 2001-05-11 11:40:49 EDT
Ok, that doesn't even come close to working. linuxconf --http does not listen on
any port. Running "netstat -l --numeric-ports" even shows that nothing is
listening on port 3000. Of course, you can't telnet or point a browser to it
either. From my experience with xinetd services (some could be different), they
operate on stdin and stdout. Running "linuxconf --http" (which, by the way is
what xinetd runs. see /etc/xinetd.d/linuxconf-web) sets it up to receive http
commands (thru stdin) and send back html (thru stdout). Neither of these involve
listening on any port.
Comment 4 Harald Hoyer 2001-05-14 04:23:25 EDT
You have to enable the http mode in the linuxconf GUI first!
Comment 5 flemmon 2001-05-17 22:05:22 EDT
I am seeing the same looping behavior on RHL 7.1, too. Bugzilla issue #40303 
seems relevant, and was helpful to getting the proper configuration established 
and port assignment done. However, it still doesn't solve the looping problem 
on my system, although the submitter indicates it did the trick on getting a 
usable linuxconf working on his setup.
Comment 6 Nikolai Turchanikov 2001-07-19 00:16:18 EDT
recently posted on red hat updates ftp site
xinetd v. 2.3.0 solves the problem of initial
browser connection, but when it comes to the Accept change,
the browser indicates broken connection (lynx message:
"Unexpected network error; connection aborted").
At the same time, xinitd syslog entry pops the message:
"warning: can't get client address: Transport endpoint is not
Comment 7 Brent Fox 2002-06-05 12:22:10 EDT
Closing because we don't ship linuxconf anymore
Comment 8 Red Hat Bugzilla 2006-02-21 13:47:58 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.